Bug 50071

Summary: [Qt] Fix compilation with !ENABLE(OFFLINE_WEB_APPLICATIONS) and !ENABLE(TILED_BACKING_STORE) for WebKit2
Product: WebKit Reporter: Laszlo Gombos <laszlo.gombos>
Component: PlatformAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: benjamin, commit-queue, ossy
Priority: P4 Keywords: Qt, QtTriaged
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
proposed patch
none
2nd try, resolve conflict with trunk
ossy: review+, ossy: commit-queue-
fixed ChangeLog none

Description Laszlo Gombos 2010-11-25 05:43:18 PST
This is primary for consistency for the WebKit1 based offering.
Comment 1 Laszlo Gombos 2010-11-25 05:50:14 PST
Created attachment 74864 [details]
proposed patch
Comment 2 Laszlo Gombos 2010-11-25 06:48:51 PST
Created attachment 74870 [details]
2nd try, resolve conflict with trunk
Comment 3 Csaba Osztrogon√°c 2010-11-30 01:12:08 PST
Comment on attachment 74870 [details]
2nd try, resolve conflict with trunk

View in context: https://bugs.webkit.org/attachment.cgi?id=74870&action=review

> WebKit2/ChangeLog:6
> +        [Qt] Fix compilation with !ENABLE(OFFLINE_WEB_APPLICATIONS) and !ENABLE(JAVASCRIPT_DEBUGGER) and
> +        !ENABLE(TILED_BACKING_STORE) for WebKit2

Please remove !ENABLE(JAVASCRIPT_DEBUGGER) from ChangeLog, because there isn't 
any ENABLE(JAVASCRIPT_DEBUGGER) guard in this patch. :) Otherwise LGTM, r=me.
Comment 4 Csaba Osztrogon√°c 2010-11-30 01:14:32 PST
(In reply to comment #3)
> Please remove !ENABLE(JAVASCRIPT_DEBUGGER) from ChangeLog, because there isn't 
> any ENABLE(JAVASCRIPT_DEBUGGER) guard in this patch. :) Otherwise LGTM, r=me.

Or add fix for !ENABLE(JAVASCRIPT_DEBUGGER) case if it is necessary.
Comment 5 Laszlo Gombos 2010-12-01 20:52:19 PST
Created attachment 75349 [details]
fixed ChangeLog
Comment 6 WebKit Commit Bot 2010-12-02 16:39:16 PST
Comment on attachment 75349 [details]
fixed ChangeLog

Clearing flags on attachment: 75349

Committed r73221: <http://trac.webkit.org/changeset/73221>
Comment 7 WebKit Commit Bot 2010-12-02 16:39:21 PST
All reviewed patches have been landed.  Closing bug.
Comment 8 WebKit Commit Bot 2010-12-02 18:28:24 PST
The commit-queue encountered the following flaky tests while processing attachment 75349 [details]:

animations/suspend-resume-animation.html
fast/events/tabindex-focus-blur-all.html

Please file bugs against the tests.  These tests were authored by alice.liu@apple.com, cmarrin@apple.com, and pam@chromium.org.  The commit-queue is continuing to process your patch.